### Method

# Vips Image linear1

#### Declaration [src]

    int
    vips_linear1 (
      VipsImage* in,
      VipsImage** out,
      double a,
      double b,
      ...
    )

#### Description [src]

Run `vips_linear()` with a single constant.

Optional arguments

- `uchar`: `gboolean`, output uchar pixels

See also

`vips_linear()`.

This method is not directly available to language bindings.

#### Parameters

`out`

  Type: `VipsImage`

  Output image.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`a`

  Type: `double`

  Constant for multiplication.

`b`

  Type: `double`

  Constant for addition.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.